coordinate system data form
Наследование: System.Windows.Forms.Form
Пример #1
0
        /// <summary>
        /// Implement this method as an external command for Revit.
        /// </summary>
        /// <param name="commandData">An object that is passed to the external application 
        /// which contains data related to the command, 
        /// such as the application object and active view.</param>
        /// <param name="message">A message that can be set by the external application 
        /// which will be displayed if a failure or cancellation is returned by 
        /// the external command.</param>
        /// <param name="elements">A set of elements to which the external application 
        /// can add elements that are to be highlighted in case of failure or cancellation.</param>
        /// <returns>Return the status of the external command. 
        /// A result of Succeeded means that the API external method functioned as expected. 
        /// Cancelled can be used to signify that the user cancelled the external operation 
        /// at some point. Failure should be returned if the application is unable to proceed with 
        /// the operation.</returns>
        public Autodesk.Revit.UI.Result Execute(ExternalCommandData commandData,
                                             ref string message, Autodesk.Revit.DB.ElementSet elements)
        {
            try
             {
            CoordinateSystemData Data = new CoordinateSystemData(commandData);
            Data.GatData();

            using (CoordinateSystemDataForm displayForm =
                                    new CoordinateSystemDataForm(Data, commandData.Application.Application.Cities,
                                                commandData.Application.ActiveUIDocument.Document.SiteLocation))
            {
               if (DialogResult.OK != displayForm.ShowDialog())
               {
                  return Autodesk.Revit.UI.Result.Cancelled;
               }
            }
            return Autodesk.Revit.UI.Result.Succeeded;
             }
             catch (Exception ex)
             {
            message = ex.Message;
            return Autodesk.Revit.UI.Result.Failed;
             }
        }
Пример #2
0
        /// <summary>
        /// Implement this method as an external command for Revit.
        /// </summary>
        /// <param name="commandData">An object that is passed to the external application
        /// which contains data related to the command,
        /// such as the application object and active view.</param>
        /// <param name="message">A message that can be set by the external application
        /// which will be displayed if a failure or cancellation is returned by
        /// the external command.</param>
        /// <param name="elements">A set of elements to which the external application
        /// can add elements that are to be highlighted in case of failure or cancellation.</param>
        /// <returns>Return the status of the external command.
        /// A result of Succeeded means that the API external method functioned as expected.
        /// Cancelled can be used to signify that the user cancelled the external operation
        /// at some point. Failure should be returned if the application is unable to proceed with
        /// the operation.</returns>
        public Autodesk.Revit.UI.Result Execute(ExternalCommandData commandData,
                                                ref string message, Autodesk.Revit.DB.ElementSet elements)
        {
            try
            {
                CoordinateSystemData Data = new CoordinateSystemData(commandData);
                Data.GatData();

                using (CoordinateSystemDataForm displayForm =
                           new CoordinateSystemDataForm(Data, commandData.Application.Application.Cities,
                                                        commandData.Application.ActiveUIDocument.Document.SiteLocation))
                {
                    if (DialogResult.OK != displayForm.ShowDialog())
                    {
                        return(Autodesk.Revit.UI.Result.Cancelled);
                    }
                }
                return(Autodesk.Revit.UI.Result.Succeeded);
            }
            catch (Exception ex)
            {
                message = ex.Message;
                return(Autodesk.Revit.UI.Result.Failed);
            }
        }
Пример #3
0
        /// <summary>
        /// Implement this method as an external command for Revit.
        /// </summary>
        /// <param name="commandData">An object that is passed to the external application
        /// which contains data related to the command,
        /// such as the application object and active view.</param>
        /// <param name="message">A message that can be set by the external application
        /// which will be displayed if a failure or cancellation is returned by
        /// the external command.</param>
        /// <param name="elements">A set of elements to which the external application
        /// can add elements that are to be highlighted in case of failure or cancellation.</param>
        /// <returns>Return the status of the external command.
        /// A result of Succeeded means that the API external method functioned as expected.
        /// Cancelled can be used to signify that the user cancelled the external operation
        /// at some point. Failure should be returned if the application is unable to proceed with
        /// the operation.</returns>
        public Autodesk.Revit.UI.Result Execute(ExternalCommandData commandData,
                                                ref string message, Autodesk.Revit.DB.ElementSet elements)
        {
            try
            {
                Transaction trans = new Transaction(commandData.Application.ActiveUIDocument.Document, "Revit.SDK.Samples.SharedCoordinateSystem");
                trans.Start();
                CoordinateSystemData Data = new CoordinateSystemData(commandData);
                Data.GatData();

                using (CoordinateSystemDataForm displayForm =
                           new CoordinateSystemDataForm(Data, commandData.Application.Application.Cities,
                                                        commandData.Application.ActiveUIDocument.Document.SiteLocation))
                {
                    if (DialogResult.OK != displayForm.ShowDialog())
                    {
                        trans.RollBack();
                        return(Autodesk.Revit.UI.Result.Cancelled);
                    }
                }
                trans.Commit();
                return(Autodesk.Revit.UI.Result.Succeeded);
            }
            catch (Exception ex)
            {
                message = ex.Message;
                return(Autodesk.Revit.UI.Result.Failed);
            }
        }
Пример #4
0
        string m_locationName;               //the name of  selected location


        /// <summary>
        /// constructor
        /// </summary>
        /// <param name="data"></param>
        /// <param name="coorinateForm"></param>
        /// <param name="locationName"></param>
        public DuplicateForm(CoordinateSystemData data, CoordinateSystemDataForm coorinateForm,
                             string locationName)
        {
            m_data         = data;
            m_dataForm     = coorinateForm;
            m_locationName = locationName;
            InitializeComponent();
        }
Пример #5
0
        string m_locationName; //the name of  selected location

        #endregion Fields

        #region Constructors

        /// <summary>
        /// constructor
        /// </summary>
        /// <param name="data"></param>
        /// <param name="coorinateForm"></param>
        /// <param name="locationName"></param>
        public DuplicateForm(CoordinateSystemData data, CoordinateSystemDataForm coorinateForm,
                                               string locationName)
        {
            m_data = data;
            m_dataForm = coorinateForm;
            m_locationName = locationName;
            InitializeComponent();
        }